#!/usr/bin/env python

import sys, os
import viewer
from annotate import AnnotationError, Importer, load

if __name__ == "__main__":

    importer = Importer(sys.path)
    try:
        builtins = load(os.path.join("lib", "builtins.py"))
        module = load(sys.argv[1], builtins, None, importer)
    except AnnotationError, exc:
        raise
    else:
        if "-d" in sys.argv:
            viewer.makedocs(module, importer.modules.values(), builtins)

# vim: tabstop=4 expandtab shiftwidth=4
